=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/subtitlecomposer-$1.tar.gz/g" \
 https://github.com/maxrd2/subtitlecomposer/releases .*/v?(\d\S*)\.tar\.gz
