## subtitlecomposer 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,9 @@
 
 cmake_policy(SET CMP0043 NEW)
 cmake_policy(SET CMP0063 NEW)
-cmake_policy(SET CMP0071 NEW)
+if(POLICY CMP0071)
+	cmake_policy(SET CMP0071 NEW)
+endif()
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -32,5 +34,14 @@
 	Auth Config ConfigWidgets CoreAddons I18n KIO XmlGui
 	Sonnet Kross Codecs TextWidgets WidgetsAddons)
 
+if(APP_VERSION)
+	message(STATUS "Building as custom version ${APP_VERSION}")
+	set(APP_VERSION ${APP_VERSION} CACHE INTERNAL EXPORTEDVARIABLE)
+else()
+	set(APP_VERSION 0.7.0 CACHE INTERNAL EXPORTEDVARIABLE)
+endif()
+
 add_subdirectory(po)
 add_subdirectory(src)
+
+install(FILES pkg/misc/subtitlecomposer.desktop.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
