=== po/CMakeLists.txt ===
add_subdirectory(bg)
add_subdirectory(cs)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(es)
add_subdirectory(fr)
add_subdirectory(hr)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(ru)
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(uk)
