=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -O0 -g")
 	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
 	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
-	set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELEASE} -g")
-	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -g")
+	set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELEASE} -g -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
+	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -g -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
 endif()
 
 include_directories(
@@ -29,7 +29,7 @@
 # defined in the dependency directory that must be created before the former
 # CMakeLists.txt is processed
 
-set(SC_PLUGIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_LIBDIR}/subtitlecomposer CACHE INTERNAL EXPORTEDVARIABLE)
+set(SC_PLUGIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_LIBDIR}/subtitlecomposer" CACHE STRING EXPORTEDVARIABLE)
 message(STATUS "Subtitle Composer plugin path: ${SC_PLUGIN_INSTALL_DIR}")
 
 set(subtitlecomposer_LIBS
@@ -100,12 +100,6 @@
 
 add_executable(subtitlecomposer ${subtitlecomposer_SRCS})
 
-qt5_use_modules(subtitlecomposer Core Widgets)
-
-# Xine videoplayer plugin needs XInitThreads() call in main
-# optional since Xine will not be built without X11
-find_package(X11 QUIET)
-
 target_link_libraries(subtitlecomposer
 	${subtitlecomposer_LIBS}
 	${helpers_LIBS}
@@ -117,6 +111,8 @@
 	${widgets_LIBS}
 	${X11_LIBRARIES}
 	${FFMPEG_LIBRARIES}
+	Qt5::Core
+	Qt5::Widgets
 )
 
 add_definitions(
