=== src/actions/CMakeLists.txt ===
set(main_actions_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/useraction.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/useractionnames.h
	${CMAKE_CURRENT_SOURCE_DIR}/kcodecactionext.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/krecentfilesactionext.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)
