=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,4 @@
 set(core_SRCS
-	${CMAKE_CURRENT_SOURCE_DIR}/action.h
-	${CMAKE_CURRENT_SOURCE_DIR}/compositeaction.h
-	${CMAKE_CURRENT_SOURCE_DIR}/actionmanager.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/formatdata.h
 	${CMAKE_CURRENT_SOURCE_DIR}/range.h
 	${CMAKE_CURRENT_SOURCE_DIR}/rangelist.h
@@ -12,6 +9,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/subtitleiterator.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/subtitleline.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/subtitlelineactions.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/undoaction.cpp
 	CACHE INTERNAL EXPORTEDVARIABLE
 )
