=== src/helpers/CMakeLists.txt ===
set(helpers_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/commondefs.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/fileloadhelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/filesavehelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/filetrasher.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/languagecode.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)
