=== debian/changelog ===
subtitlecomposer (0.7.0-1build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:42:18 +0100

subtitlecomposer (0.7.0-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:43:52 +0100

subtitlecomposer (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - cmake-policy.diff: drop, fixed upstream
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove the libx11-dev build dependency, no more needed now.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Stop installing the AUTHORS file, as it does not exist anymore.
  * Avoid installing the appstream XML file for now, as it seems not valid.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:50:51 +0200
