=== debian/control ===
Source: subtitlecomposer
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 11~), cmake, pkg-kde-tools (>= 0.15.16),
 qtbase5-dev,
 extra-cmake-modules (>= 1.2.0),
 libkf5auth-dev,
 libkf5codecs-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5i18n-dev,
 libkf5kio-dev,
 kross-dev,
 libkf5sonnet-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 libkf5xmlgui-dev,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libswresample-dev,
 libphonon4qt5-dev, libphonon4qt5experimental-dev,
 pkg-config,
 libgstreamer-plugins-base1.0-dev, libglib2.0-dev,
 libicu-dev,
 libmpv-dev,
 libxcb1-dev,
# for tests:
 xvfb, xauth,
Standards-Version: 4.4.0
Homepage: https://github.com/maxrd2/subtitlecomposer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer.git

Package: subtitlecomposer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mplayer
Description: text-based subtitle editor
 A text-based subtitles editor supporting basic operations (text, time and
 style edition), realtime previewing and spell checking. Other fancy features
 are delaying all subtitles in the current subtitle file, checking errors or
 creating translations.
 .
 Different backends (GStreamer, MPlayer, MPV, or Phonon) can be used to play
 the realtime video preview which helps to synchronize the subtitles.
