=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with=kf5

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# the appstream file seems invalid, avoid installing it for now
	rm -rf debian/subtitlecomposer/usr/share/metainfo/
