=== debian/changelog ===
subtitlecomposer (0.7.1-5build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:12:23 +0200

subtitlecomposer (0.7.1-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 12f4d7f49d0b1a7fc02b0836521a285e7b6bac9d to switch
    away from av_mallocz_array(), removed in ffmpeg 6; patch
    upstream_Use-non-deprecated-ffmpeg-api.patch. (Closes: #1041507)
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jul 2023 09:58:30 +0200

subtitlecomposer (0.7.1-4) unstable; urgency=medium

  * Team upload.

  [ Diederik de Haas ]
  * Backport upstream commit d8f9797d9c0d45fa9f4402f79c539544b74d2cc7 to
    remove deprecated API usage; patch
    upstream_VideoPlayer-Fix-usage-of-deprecated-removed-AVCodec-.patch.
    (Closes: #1020819)

 -- Pino Toscano <pino@debian.org>  Fri, 28 Oct 2022 11:41:15 +0200

subtitlecomposer (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Backport upstream commit 4f4f560e40ba0b760cf688eb024be3cc734ca347 to build
    with ffmpeg 5.x; patch upstream_Fix-compilation-with-ffmpeg5-63.patch.
    (Closes: #1004600)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 24 Jun 2022 08:17:14 +0200

subtitlecomposer (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * Add the libqt5opengl5-desktop-dev build dependency: even if subtitlecomposer
    does not use QtOpenGL directly, it does seem to require the Desktop GL, and
    cannot use EGL.
  * Add the libpocketsphinx-dev build dependency to enable the support for
    speech recognition; only on amd64, and i386 for now, as PocketSphinx is not
    available on all the architectures.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Oct 2021 20:17:00 +0200

subtitlecomposer (0.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Point Source field in machine readable copyright to the invent.kde.org
    repo.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

  [ Pino Toscano ]
  * New upstream release:
    - drops the subpicture/x-pgs MIME from the desktop file (Closes: #944274)
  * Update lintian overrides.
  * Update watch file to the new upstream release location, and switch to v4.
  * Update the patches:
    - fix-appstream.diff: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.4
    - bump Qt packages to 5.9.0
    - bump KF packages to 5.44.0
    - add qtbase5-private-dev, libswscale-dev, and libopenal-dev
    - explicitly add gettext
    - remove no more needed: libphonon4qt5-dev, libphonon4qt5experimental-dev,
      libgstreamer-plugins-base1.0-dev, libglib2.0-dev, libmpv-dev, and
      libxcb1-dev
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Drop the mplayer suggest, as it is no more used.
  * CI: disable the blhc job.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Oct 2021 07:26:51 +0200

subtitlecomposer (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the Debian man page, as it is outdated, and it offers no useful
    information.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Fix the AppStream XML file (patch fix-appstream.diff), and ship it again.
  * Do not specify to link in as-needed mode, as it is the binutils default now.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Aug 2020 09:22:25 +0200
