=== debian/control ===
Source: subtitlecomposer
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.4.0~),
 pkg-kde-tools (>= 0.15.16),
 qtbase5-dev (>= 5.9.0~),
 qtbase5-private-dev (>= 5.9.0~),
 libqt5opengl5-desktop-dev (>= 5.9.0~),
 extra-cmake-modules (>= 1.2.0),
 libkf5auth-dev (>= 5.44.0~),
 libkf5codecs-dev (>= 5.44.0~),
 libkf5config-dev (>= 5.44.0~),
 libkf5configwidgets-dev (>= 5.44.0~),
 libkf5coreaddons-dev (>= 5.44.0~),
 libkf5i18n-dev (>= 5.44.0~),
 libkf5kio-dev (>= 5.44.0~),
 kross-dev (>= 5.44.0~),
 libkf5sonnet-dev (>= 5.44.0~),
 libkf5textwidgets-dev (>= 5.44.0~),
 libkf5widgetsaddons-dev (>= 5.44.0~),
 libkf5xmlgui-dev (>= 5.44.0~),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libswresample-dev,
 libswscale-dev,
 pkg-config,
 libicu-dev,
 libopenal-dev,
 libpocketsphinx-dev [amd64 i386],
 gettext,
# for tests:
 xvfb <!nocheck>,
 xauth <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://subtitlecomposer.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer.git

Package: subtitlecomposer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text-based subtitle editor
 A text-based subtitles editor supporting basic operations (text, time and
 style edition), realtime previewing and spell checking. Other fancy features
 are delaying all subtitles in the current subtitle file, checking errors or
 creating translations.
 .
 Different backends (GStreamer, MPlayer, MPV, or Phonon) can be used to play
 the realtime video preview which helps to synchronize the subtitles.
